Bug 502273 - mod_fcgid: couldn't bind unix domain socket
mod_fcgid: couldn't bind unix domain socket
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mod_fcgid (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-22 19:14 EDT by Andreas Pedersen
Modified: 2009-06-04 17:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.2-12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 17:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Pedersen 2009-05-22 19:14:41 EDT
$ rpm -q mod_fcgid
mod_fcgid-2.2-11.fc11.x86_64

http://www.howtoforge.com/how-to-set-up-apache2-with-mod_fcgid-and-php5-on-fedora-10
I have followed this guide but I am running into this problem

 -- error-log
[error] (13)Permission denied: mod_fcgid: couldn't bind unix domain socket /etc/httpd/run/mod_fcgid/9952.0
[warn] (13)Permission denied: mod_fcgid: spawn process /var/www/html/index.php error
Comment 1 Iain Arnell 2009-05-23 08:40:21 EDT
This is related to bug #501123.
Comment 2 Paul Howarth 2009-05-26 09:35:55 EDT
I'm going to abandon trying to use /etc/httpd/run/mod_fcgid as the permissions on /etc/httpd/run don't allow httpd read access to it from Fedora 11 onwards. Instead, I'll use /var/run/mod_fcgid as in Fedora 10 and earlier releases, and update /etc/httpd/fcgid.conf accordingly to ensure that it gets used across all releases. This has appropriate DAC (Unix) and MAC (SELinux) permissions.
Comment 3 Fedora Update System 2009-05-26 13:41:44 EDT
mod_fcgid-2.2-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mod_fcgid-2.2-12.fc11
Comment 4 Fedora Update System 2009-05-28 04:07:58 EDT
mod_fcgid-2.2-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mod_fcgid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5604
Comment 5 Fedora Update System 2009-06-04 17:08:34 EDT
mod_fcgid-2.2-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.